Right-click context menu
Status: Closed Start date: 04/21/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Plus_1   

Description

History

#1 - 04/21/2020 07:11 PM - Luke Murphey

https://medium.com/@subalerts/https-medium-com-implementing-custom-context-menu-in-react-js-part-1-b103260c724c

https://www.npmjs.com/package/react-contextmenu

https://dev.to/rafi993/implementing-context-menu-using-react-hooks-34ke

https://medium.com/officialrajdeepsingh/how-to-add-custom-context-menu-in-react-js-e53afc6692b2

https://stackoverflow.com/questions/28648292/right-click-menu-using-react-js

https://vkbansal.github.io/react-contextmenu/#/ *

#2 - 05/11/2020 06:07 PM - Luke Murphey

Things I might want:

Copy word, verse, chapter to clipboard

Search for this word in this work, this chapter, all works

Word statistics

Verse in other translations (only if the verse isn't excessively long)

Might also want to highlight the word on the reading page.

#3 - 05/22/2020 07:06 AM - Luke Murphey

- Target version changed from 4.0 to Plus_2

#4 - 05/22/2020 11:33 PM - Luke Murphey

- Target version changed from Plus_2 to Plus_1

#5 - 03/02/2022 08:20 PM - Luke Murphey

https://react.semantic-ui.com/modules/popup/#usage-context-menu

#6 - 03/03/2022 04:56 PM - Luke Murphey

Qs:

Where should this be registered?
Chapter could communicate it up

Obs: *

Refs:

https://stackoverflow.com/questions/28648292/right-click-menu-using-react-js

#7 - 03/03/2022 10:51 PM - Luke Murphey

See https://dev.to/sanchithasr/3-ways-to-convert-html-text-to-plain-text-52l8

#8 - 04/02/2023 01:47 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
